org.eclipse.emf.cdo.net4j

## Class CDONet4jViewProvider.JVM

- java.lang.Object
- - org.eclipse.emf.cdo.view.AbstractCDOViewProvider
  - - org.eclipse.emf.cdo.net4j.CDONet4jViewProvider
    - - org.eclipse.emf.cdo.net4j.CDONet4jViewProvider.JVM

- All Implemented Interfaces:
    CDOViewProvider, CDOViewProvider.CDOViewProvider2
  Enclosing class:
    CDONet4jViewProvider

      public static class CDONet4jViewProvider.JVM
      extends CDONet4jViewProvider

  A JVM-based `view provider`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

      `CDONet4jViewProvider.JVM, CDONet4jViewProvider.SSL, CDONet4jViewProvider.TCP`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JVM()`
    `JVM(int priority)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

      `getConnector, getConnectorDescription, getContainer, getNet4jSession, getNet4jSessionConfiguration, getPath, getResourceURI, getSession, getSessionConfiguration, getURIAuthority, getView, getViewURI`

    - ### Methods inherited from class org.eclipse.emf.cdo.view.AbstractCDOViewProvider

      `getPriority, getRegex, getViewURI, matchesRegex, setPriority, setRegex, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JVM

          public JVM(int priority)

    - #### JVM

          public JVM()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html